org.eclipse.eef.util

## Class EEFDescriptionToConditionalStylesSwitch

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.eef.util.EefSwitch<java.util.List<EEFConditionalStyle>>
    - - org.eclipse.eef.util.EEFDescriptionToConditionalStylesSwitch

    public class EEFDescriptionToConditionalStylesSwitch
    extends EefSwitch<java.util.List<EEFConditionalStyle>>

Utility class used to retrieve the conditional styles of a widget.

### Field Summary

### Fields inherited from class org.eclipse.eef.util.EefSwitch

`modelPackage`

### Constructor Summary

Constructors
Constructor and Description
`EEFDescriptionToConditionalStylesSwitch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<EEFConditionalStyle>` `caseEEFButtonDescription(EEFButtonDescription object)` Returns the result of interpreting the object as an instance of 'EEF Button Description'.
`java.util.List<EEFConditionalStyle>` `caseEEFCheckboxDescription(EEFCheckboxDescription object)` Returns the result of interpreting the object as an instance of 'EEF Checkbox Description'.
`java.util.List<EEFConditionalStyle>` `caseEEFHyperlinkDescription(EEFHyperlinkDescription object)` Returns the result of interpreting the object as an instance of 'EEF Hyperlink Description'.
`java.util.List<EEFConditionalStyle>` `caseEEFLabelDescription(EEFLabelDescription object)` Returns the result of interpreting the object as an instance of 'EEF Label Description'.
`java.util.List<EEFConditionalStyle>` `caseEEFListDescription(EEFListDescription object)` Returns the result of interpreting the object as an instance of 'EEF List Description'.
`java.util.List<EEFConditionalStyle>` `caseEEFRadioDescription(EEFRadioDescription object)` Returns the result of interpreting the object as an instance of 'EEF Radio Description'.
`java.util.List<EEFConditionalStyle>` `caseEEFSelectDescription(EEFSelectDescription object)` Returns the result of interpreting the object as an instance of 'EEF Select Description'.
`java.util.List<EEFConditionalStyle>` `caseEEFTextDescription(EEFTextDescription object)` Returns the result of interpreting the object as an instance of 'EEF Text Description'.
`java.util.List<EEFConditionalStyle>` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.

### Methods inherited from class org.eclipse.eef.util.EefSwitch

`caseEEFButtonConditionalStyle, caseEEFButtonStyle, caseEEFCheckboxConditionalStyle, caseEEFCheckboxStyle, caseEEFConditionalStyle, caseEEFContainerDescription, caseEEFControlDescription, caseEEFCustomExpression, caseEEFCustomWidgetConditionalStyle, caseEEFCustomWidgetDescription, caseEEFCustomWidgetStyle, caseEEFDynamicMappingFor, caseEEFDynamicMappingIf, caseEEFFillLayoutDescription, caseEEFGridLayoutDescription, caseEEFGroupConditionalStyle, caseEEFGroupDescription, caseEEFGroupStyle, caseEEFHyperlinkConditionalStyle, caseEEFHyperlinkStyle, caseEEFLabelConditionalStyle, caseEEFLabelStyle, caseEEFLayoutDescription, caseEEFListConditionalStyle, caseEEFListStyle, caseEEFPageDescription, caseEEFPropertyValidationRuleDescription, caseEEFRadioConditionalStyle, caseEEFRadioStyle, caseEEFRuleAuditDescription, caseEEFSelectConditionalStyle, caseEEFSelectStyle, caseEEFSemanticValidationRuleDescription, caseEEFTextConditionalStyle, caseEEFTextStyle, caseEEFValidationFixDescription, caseEEFValidationRuleDescription, caseEEFViewDescription, caseEEFWidgetAction, caseEEFWidgetDescription, caseEEFWidgetStyle, doSwitch, isSwitchFor`

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFDescriptionToConditionalStylesSwitch

    public EEFDescriptionToConditionalStylesSwitch()

### Method Detail

#### defaultCase

    public java.util.List<EEFConditionalStyle> defaultCase(org.eclipse.emf.ecore.EObject object)

Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `EefSwitch<java.util.List<EEFConditionalStyle>>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  `EefSwitch.defaultCase(org.eclipse.emf.ecore.EObject)`

#### caseEEFButtonDescription

    public java.util.List<EEFConditionalStyle> caseEEFButtonDescription(EEFButtonDescription object)

Returns the result of interpreting the object as an instance of 'EEF Button Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFButtonDescription` in class `EefSwitch<java.util.List<EEFConditionalStyle>>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Button Description'.
See Also:
  `EefSwitch.caseEEFButtonDescription(org.eclipse.eef.EEFButtonDescription)`

#### caseEEFCheckboxDescription

    public java.util.List<EEFConditionalStyle> caseEEFCheckboxDescription(EEFCheckboxDescription object)

Returns the result of interpreting the object as an instance of 'EEF Checkbox Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFCheckboxDescription` in class `EefSwitch<java.util.List<EEFConditionalStyle>>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Checkbox Description'.
See Also:
  `EefSwitch.caseEEFCheckboxDescription(org.eclipse.eef.EEFCheckboxDescription)`

#### caseEEFHyperlinkDescription

    public java.util.List<EEFConditionalStyle> caseEEFHyperlinkDescription(EEFHyperlinkDescription object)

Returns the result of interpreting the object as an instance of 'EEF Hyperlink Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFHyperlinkDescription` in class `EefSwitch<java.util.List<EEFConditionalStyle>>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Hyperlink Description'.
See Also:
  `EefSwitch.caseEEFHyperlinkDescription(org.eclipse.eef.EEFHyperlinkDescription)`

#### caseEEFLabelDescription

    public java.util.List<EEFConditionalStyle> caseEEFLabelDescription(EEFLabelDescription object)

Returns the result of interpreting the object as an instance of 'EEF Label Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFLabelDescription` in class `EefSwitch<java.util.List<EEFConditionalStyle>>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Label Description'.
See Also:
  `EefSwitch.caseEEFLabelDescription(org.eclipse.eef.EEFLabelDescription)`

#### caseEEFRadioDescription

    public java.util.List<EEFConditionalStyle> caseEEFRadioDescription(EEFRadioDescription object)

Returns the result of interpreting the object as an instance of 'EEF Radio Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFRadioDescription` in class `EefSwitch<java.util.List<EEFConditionalStyle>>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Radio Description'.
See Also:
  `EefSwitch.caseEEFRadioDescription(org.eclipse.eef.EEFRadioDescription)`

#### caseEEFSelectDescription

    public java.util.List<EEFConditionalStyle> caseEEFSelectDescription(EEFSelectDescription object)

Returns the result of interpreting the object as an instance of 'EEF Select Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFSelectDescription` in class `EefSwitch<java.util.List<EEFConditionalStyle>>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Select Description'.
See Also:
  `EefSwitch.caseEEFSelectDescription(org.eclipse.eef.EEFSelectDescription)`

#### caseEEFTextDescription

    public java.util.List<EEFConditionalStyle> caseEEFTextDescription(EEFTextDescription object)

Returns the result of interpreting the object as an instance of 'EEF Text Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFTextDescription` in class `EefSwitch<java.util.List<EEFConditionalStyle>>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Text Description'.
See Also:
  `EefSwitch.caseEEFTextDescription(org.eclipse.eef.EEFTextDescription)`

#### caseEEFListDescription

    public java.util.List<EEFConditionalStyle> caseEEFListDescription(EEFListDescription object)

Returns the result of interpreting the object as an instance of 'EEF List Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFListDescription` in class `EefSwitch<java.util.List<EEFConditionalStyle>>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF List Description'.
See Also:
  `EefSwitch.caseEEFListDescription(org.eclipse.eef.EEFListDescription)`